%define major 8
%define libname %mklibname ticonv %{major}
%define develname %mklibname ticonv -d

Name:           libticonv
Version:        1.1.5
Release:        %mkrel 1
Summary:        Texas Instruments calculators charsets library
Group:          System/Libraries
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        https://download.sourceforge.net/tilp/%{name}-%{version}.tar.bz2
BuildRequires:  glib2-devel

%package -n %{libname}
Group:          System/Libraries
Summary:        Texas Instruments calculators charsets library
Provides:       %{name} = %{version}-%{release}

%package -n %{develname}
Group:          Development/C
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description
The ticonv library is a library capable of conversions between
Texas Instruments character sets and UTF-8/UTF-16 character sets.

%description -n %{libname}
The ticonv library is a library capable of conversions between
Texas Instruments character sets and UTF-8/UTF-16 character sets.

%description -n %{develname}
Include files and libraries for linking and developing
applications using libticonv.

%prep
%setup -q

# Fix wrong EOF encodings.
sed -i 's/\r$//' \
        README \
        ChangeLog \
        AUTHORS \
        docs/html/clean.bat \
        docs/html/style.css

#silence autoreconf warning
mkdir -p m4

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--enable-iconv
%make_build

%check
make check

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%doc README AUTHORS ChangeLog
%{_libdir}/libticonv.so.%{major}
%{_libdir}/libticonv.so.%{major}.*

%files -n %{develname}
%doc docs/html/
%doc docs/charsets/
%{_libdir}/libticonv.so
%{_libdir}/pkgconfig/ticonv.pc
%{_includedir}/tilp2/


%changelog
* Sun Jan 01 2017 wally <wally> 1.1.5-1.mga6
+ Revision: 1079425
- new version 1.1.5
- new libmajor 8

* Thu Sep 22 2016 zezinho <zezinho> 1.1.4-2.mga6
+ Revision: 1055190
- add provides to devel package

* Thu Sep 22 2016 wally <wally> 1.1.4-1.mga6
+ Revision: 1055127
- add lib major check to files section
- fix build (use configure2_5x macro)

  + zezinho <zezinho>
    - fix major version and configure
    - try to follow mageia libs policy
    - imported package libticonv

